%global	gem_name	test-unit-notify
%global	rubyabi	1.9.1

Summary:	Test::Unit::Notify - A test result notify extension for Test::Unit
Name:		rubygem-%{gem_name}
Version:	0.3.0
Release:	1%{?dist}
Group:		Development/Languages
# https://github.com/test-unit/test-unit-notify/issues/2
License:	LGPLv2+ and (LGPLv2+ or GFDL or CC-BY-SA)
URL:		http://rubyforge.org/projects/test-unit/
Source0:	http://rubygems.org/gems/%{gem_name}-%{version}.gem

Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems) 
Requires:	ruby 
Requires:	rubygem(test-unit)
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems-devel 
BuildRequires:	ruby 
BuildArch:	noarch

Provides:	rubygem(%{gem_name}) = %{version}-%{release}

%description
Test::Unit::Notify - A test result notify extension for Test::Unit.


%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
# Gem repack
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}
gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
mkdir -p .%{gem_dir}
gem install \
	--local \
	--install-dir .%{gem_dir} \
	-V \
	--force \
	%{gem_name}-%{version}.gem

# Permission
find . -type f -print0 | xargs --null chmod go-w

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{Manifest.txt,Rakefile}

# No test suite available currently

%files
%dir	%{gem_instdir}
%{gem_instdir}/lib/
%{gem_instdir}/data/
%exclude	%{gem_cache}
%{gem_spec}

%doc	%{gem_instdir}/[A-Z]*

%files doc
%doc	%{gem_docdir}/
%doc	%{gem_instdir}/screenshot/

%changelog
* Sun Nov 04 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.3.0-1
- Initial package
